<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-location-heading" jhiTranslate="icyTrainApp.location.home.createOrEditLabel">Create or edit a Location</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!editForm.get('id').value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id"
                        readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="icyTrainApp.location.streetAddress" for="field_streetAddress">Street Address</label>
                    <input type="text" class="form-control" name="streetAddress" id="field_streetAddress"
                           formControlName="streetAddress"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="icyTrainApp.location.postalCode" for="field_postalCode">Postal Code</label>
                    <input type="text" class="form-control" name="postalCode" id="field_postalCode"
                           formControlName="postalCode"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="icyTrainApp.location.city" for="field_city">City</label>
                    <input type="text" class="form-control" name="city" id="field_city"
                           formControlName="city"/>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="icyTrainApp.location.stateProvince" for="field_stateProvince">State Province</label>
                    <input type="text" class="form-control" name="stateProvince" id="field_stateProvince"
                           formControlName="stateProvince"/>
                </div>

            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
